---
lang: en
title: 'API docs: context-explorer.contextgraph.renderconfig'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/context-explorer
permalink: /doc/en/lb4/apidocs.context-explorer.contextgraph.renderconfig.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context-explorer](./context-explorer.md) &gt; [ContextGraph](./context-explorer.contextgraph.md) &gt; [renderConfig](./context-explorer.contextgraph.renderconfig.md)

## ContextGraph.renderConfig() method

Create an edge for a binding to its configuration

**Signature:**

```typescript
protected renderConfig(parent: ICluster, { binding, level, id }: ContextBinding): IEdge | undefined;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  parent | ICluster |  |
|  { binding, level, id } | [ContextBinding](./context-explorer.contextbinding.md) |  |

**Returns:**

IEdge \| undefined


